#
# spec file for package x86info (Version 1.30)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           x86info
License:        GPL v2 only
Url:            http://www.codemonkey.org.uk/projects/x86info/
Group:          System/Monitoring
AutoReqProv:    on
Version:        1.30
Release:        1.1
Summary:        Show x86 CPU Information
Source:         http://www.codemonkey.org.uk/x86info/%{name}-%{version}.tar.bz2
BuildRequires:  gcc python pciutils-devel
ExclusiveArch:  %{ix86} x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unlike other 'cpuinfo' tools which just parse /proc/cpuinfo, x86info
probes the CPU registers to find out more information. It can discover
the contents of model-specific registers, discover CPU silicon
revisions, and more.



Authors:
--------
    Dave Jones <davej@codemonkey.org.uk>

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 x86info $RPM_BUILD_ROOT/usr/bin
install -m 644 x86info.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 lsmsr $RPM_BUILD_ROOT/usr/sbin
install -m 644 lsmsr.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc %{_mandir}/man1/%{name}.1.gz
%doc %{_mandir}/man8/lsmsr.8.gz
%doc README TODO
%{_bindir}/%{name}
%{_sbindir}/lsmsr

%changelog
* Wed Oct  3 2012 cs@linux-administrator.com
- update to release 1.30
* Sun Apr 17 2011 cs@linux-administrator.com
- update to release 1.29
